/*
*
* CwBdReportlock.java
* Copyright(C) 2017-2020 DHCC
* @date 2020-07-17
*/
package com.dhcc.finance.main.domain;

import java.util.Date;

import io.swagger.annotations.ApiModelProperty;

/**
 *  * cw_bd_reportlock
 */
public class CwBdReportlock {
    /**
     * 主键
     */
    @ApiModelProperty(value = "主键", required = true, example = "")
    private String id;

    /**
     * 锁定期间
     */
    @ApiModelProperty(value = "锁定期间", required = false, example = "")
    private String lockPeriod;

    /**
     * 是否锁定
     */
    @ApiModelProperty(value = "是否锁定", required = false, example = "")
    private String sfLock;

    /**
     * 使用状态
     */
    @ApiModelProperty(value = "使用状态", required = false, example = "")
    private String useState;

    /**
     * 录入人员
     */
    @ApiModelProperty(value = "录入人员", required = false, example = "")
    private String createUser;

    /**
     * 录入时间
     */
    @ApiModelProperty(value = "录入时间", required = false, example = "")
    private Date createTime;

    /**
     * 最后修改人员
     */
    @ApiModelProperty(value = "最后修改人员", required = false, example = "")
    private String updateUser;

    /**
     * 最后修改时间
     */
    @ApiModelProperty(value = "最后修改时间", required = false, example = "CURRENT_TIMESTAMP")
    private Date updateTime;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注", required = false, example = "")
    private String remark;
    
    
    @ApiModelProperty(value = "", required = false, example = "")
    private String lockPeriodMax;
    

    public String getLockPeriodMax() {
        return lockPeriodMax;
    }

    public void setLockPeriodMax(String lockPeriodMax) {
        this.lockPeriodMax = lockPeriodMax;
    }

    /**
     * 主键
     * @return ID 主键
     */
    public String getId() {
        return id;
    }

    /**
     * 主键
     * @param id 主键
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 锁定期间
     * @return LOCK_PERIOD 锁定期间
     */
    public String getLockPeriod() {
        return lockPeriod;
    }

    /**
     * 锁定期间
     * @param lockPeriod 锁定期间
     */
    public void setLockPeriod(String lockPeriod) {
        this.lockPeriod = lockPeriod == null ? null : lockPeriod.trim();
    }

    /**
     * 是否锁定
     * @return SF_LOCK 是否锁定
     */
    public String getSfLock() {
        return sfLock;
    }

    /**
     * 是否锁定
     * @param sfLock 是否锁定
     */
    public void setSfLock(String sfLock) {
        this.sfLock = sfLock == null ? null : sfLock.trim();
    }

    /**
     * 使用状态
     * @return USE_STATE 使用状态
     */
    public String getUseState() {
        return useState;
    }

    /**
     * 使用状态
     * @param useState 使用状态
     */
    public void setUseState(String useState) {
        this.useState = useState == null ? null : useState.trim();
    }

    /**
     * 录入人员
     * @return CREATE_USER 录入人员
     */
    public String getCreateUser() {
        return createUser;
    }

    /**
     * 录入人员
     * @param createUser 录入人员
     */
    public void setCreateUser(String createUser) {
        this.createUser = createUser == null ? null : createUser.trim();
    }

    /**
     * 录入时间
     * @return CREATE_TIME 录入时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 录入时间
     * @param createTime 录入时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 最后修改人员
     * @return UPDATE_USER 最后修改人员
     */
    public String getUpdateUser() {
        return updateUser;
    }

    /**
     * 最后修改人员
     * @param updateUser 最后修改人员
     */
    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser == null ? null : updateUser.trim();
    }

    /**
     * 最后修改时间
     * @return UPDATE_TIME 最后修改时间
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 最后修改时间
     * @param updateTime 最后修改时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 备注
     * @return REMARK 备注
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark 备注
     */
    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }
}